<html>
<head>
<title>OGRE: Ogre::StaticGeometry::LODBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a></div>
<h1>Ogre::StaticGeometry::LODBucket Class Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::LODBucket" -->A <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1StaticGeometry_1_1LODBucket-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region.  <a href="#c66c126a9e8cace5c45cf200d17221fe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#6240319f801ee4f58cacb9ceccd9496b">MaterialIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator over the materials in this LOD.  <a href="#6240319f801ee4f58cacb9ceccd9496b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#2db377e01fa7f8ec683fc997d2bdbbb2">LODBucket</a> (<a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *parent, unsigned short lod, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodDist)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#0214a1aba4c2f4c14b27ad5ef6a9c559">~LODBucket</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#5d7eea966adea0bb4f256150e124931b">getParent</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ba243a0af2f306b9181b573dcb3967a1">getLod</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the lod index.  <a href="#ba243a0af2f306b9181b573dcb3967a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#bf5da8fc3e2ac676a1a447751f9bb740">getSquaredDistance</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the lod squared distance.  <a href="#bf5da8fc3e2ac676a1a447751f9bb740"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#491d98e5031fc4db2bcb77e9c6aa3460">assign</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *qsm, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> atLod)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign a queued submesh to this bucket, using specified mesh LOD.  <a href="#491d98e5031fc4db2bcb77e9c6aa3460"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b686c556b75f53c03cd554bd90b632c2">build</a> (bool stencilShadows)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Build.  <a href="#b686c556b75f53c03cd554bd90b632c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#e0d1a31cb942c4eaab6c75c9f86b95c8">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> camSquaredDistance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add children to the render queue.  <a href="#e0d1a31cb942c4eaab6c75c9f86b95c8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">MaterialIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b772c6af3bb6cf79a5f6bb3bb3d84aaa">getMaterialIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the materials in this LOD.  <a href="#b772c6af3bb6cf79a5f6bb3bb3d84aaa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#e19ddefa8cc12cf219b3bb88b56a31f6">dump</a> (std::ofstream &amp;of) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#e19ddefa8cc12cf219b3bb88b56a31f6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#03f9b9248ff57644c60dc0b4682d293c">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to parent region.  <a href="#03f9b9248ff57644c60dc0b4682d293c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#67e09710f5418970c58ed89a027a488f">mLod</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">LOD level (0 == full LOD).  <a href="#67e09710f5418970c58ed89a027a488f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b32f6759b0952234ea7e1adf10ef4dcd">mSquaredDistance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">distance at which this LOD starts to apply (squared)  <a href="#b32f6759b0952234ea7e1adf10ef4dcd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#f65f1afc96fc9ed08484f19e9ae3f609">mMaterialBucketMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region.  <a href="#f65f1afc96fc9ed08484f19e9ae3f609"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry.html#0d1eafab98ba3f36b7ac8d39868bd158">QueuedGeometryList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#01726fd1d7aae9f58c14207a9a0d827c">mQueuedGeometryList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Geometry queued for a single LOD (deallocated here).  <a href="#01726fd1d7aae9f58c14207a9a0d827c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>LOD refers to <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> LOD here. <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> LOD can change separately at the next bucket down from this. </dd></dl>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00301">301</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="c66c126a9e8cace5c45cf200d17221fe"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::MaterialBucketMap" ref="c66c126a9e8cace5c45cf200d17221fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a>*&gt; <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">Ogre::StaticGeometry::LODBucket::MaterialBucketMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00305">305</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6240319f801ee4f58cacb9ceccd9496b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::MaterialIterator" ref="6240319f801ee4f58cacb9ceccd9496b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::StaticGeometry::LODBucket::MaterialIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterator over the materials in this LOD. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00333">333</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2db377e01fa7f8ec683fc997d2bdbbb2"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::LODBucket" ref="2db377e01fa7f8ec683fc997d2bdbbb2" args="(Region *parent, unsigned short lod, Real lodDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::LODBucket::LODBucket           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>lod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lodDist</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0214a1aba4c2f4c14b27ad5ef6a9c559"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::~LODBucket" ref="0214a1aba4c2f4c14b27ad5ef6a9c559" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::StaticGeometry::LODBucket::~LODBucket           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5d7eea966adea0bb4f256150e124931b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getParent" ref="5d7eea966adea0bb4f256150e124931b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>* Ogre::StaticGeometry::LODBucket::getParent           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00320">320</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba243a0af2f306b9181b573dcb3967a1"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getLod" ref="ba243a0af2f306b9181b573dcb3967a1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::StaticGeometry::LODBucket::getLod           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the lod index. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00322">322</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf5da8fc3e2ac676a1a447751f9bb740"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getSquaredDistance" ref="bf5da8fc3e2ac676a1a447751f9bb740" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::StaticGeometry::LODBucket::getSquaredDistance           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the lod squared distance. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00324">324</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="491d98e5031fc4db2bcb77e9c6aa3460"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::assign" ref="491d98e5031fc4db2bcb77e9c6aa3460" args="(QueuedSubMesh *qsm, ushort atLod)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::LODBucket::assign           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *&nbsp;</td>
          <td class="paramname"> <em>qsm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>atLod</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assign a queued submesh to this bucket, using specified mesh LOD. 
<p>

</div>
</div><p>
<a class="anchor" name="b686c556b75f53c03cd554bd90b632c2"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::build" ref="b686c556b75f53c03cd554bd90b632c2" args="(bool stencilShadows)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::LODBucket::build           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>stencilShadows</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Build. 
<p>

</div>
</div><p>
<a class="anchor" name="e0d1a31cb942c4eaab6c75c9f86b95c8"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::addRenderables" ref="e0d1a31cb942c4eaab6c75c9f86b95c8" args="(RenderQueue *queue, uint8 group, Real camSquaredDistance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::LODBucket::addRenderables           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>camSquaredDistance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add children to the render queue. 
<p>

</div>
</div><p>
<a class="anchor" name="b772c6af3bb6cf79a5f6bb3bb3d84aaa"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getMaterialIterator" ref="b772c6af3bb6cf79a5f6bb3bb3d84aaa" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">MaterialIterator</a> Ogre::StaticGeometry::LODBucket::getMaterialIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the materials in this LOD. 
<p>

</div>
</div><p>
<a class="anchor" name="e19ddefa8cc12cf219b3bb88b56a31f6"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::dump" ref="e19ddefa8cc12cf219b3bb88b56a31f6" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::LODBucket::dump           </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&nbsp;</td>
          <td class="paramname"> <em>of</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dump contents for diagnostics. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="03f9b9248ff57644c60dc0b4682d293c"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mParent" ref="03f9b9248ff57644c60dc0b4682d293c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#03f9b9248ff57644c60dc0b4682d293c">Ogre::StaticGeometry::LODBucket::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to parent region. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00308">308</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="67e09710f5418970c58ed89a027a488f"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mLod" ref="67e09710f5418970c58ed89a027a488f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#67e09710f5418970c58ed89a027a488f">Ogre::StaticGeometry::LODBucket::mLod</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
LOD level (0 == full LOD). 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00310">310</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b32f6759b0952234ea7e1adf10ef4dcd"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mSquaredDistance" ref="b32f6759b0952234ea7e1adf10ef4dcd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b32f6759b0952234ea7e1adf10ef4dcd">Ogre::StaticGeometry::LODBucket::mSquaredDistance</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
distance at which this LOD starts to apply (squared) 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00312">312</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f65f1afc96fc9ed08484f19e9ae3f609"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mMaterialBucketMap" ref="f65f1afc96fc9ed08484f19e9ae3f609" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#f65f1afc96fc9ed08484f19e9ae3f609">Ogre::StaticGeometry::LODBucket::mMaterialBucketMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00314">314</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01726fd1d7aae9f58c14207a9a0d827c"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mQueuedGeometryList" ref="01726fd1d7aae9f58c14207a9a0d827c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry.html#0d1eafab98ba3f36b7ac8d39868bd158">QueuedGeometryList</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#01726fd1d7aae9f58c14207a9a0d827c">Ogre::StaticGeometry::LODBucket::mQueuedGeometryList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Geometry queued for a single LOD (deallocated here). 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00316">316</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:07 2008
</p>
</body>
</html>
